/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TCoreProcessvar;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TCoreProcessvarRecord extends UpdatableRecordImpl<TCoreProcessvarRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_core_processvar.pk</code>.
     */
    public void setPk(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_core_processvar.pk</code>.
     */
    public Integer getPk() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.t_core_processvar.fk_element</code>.
     */
    public void setFkElement(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_core_processvar.fk_element</code>.
     */
    public Integer getFkElement() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_core_processvar.fk_processtype</code>.
     */
    public void setFkProcesstype(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_core_processvar.fk_processtype</code>.
     */
    public Integer getFkProcesstype() {
        return (Integer) get(2);
    }

    /**
     * Setter for
     * <code>common_dd.t_core_processvar.fk_referenced_element</code>.
     */
    public void setFkReferencedElement(Integer value) {
        set(3, value);
    }

    /**
     * Getter for
     * <code>common_dd.t_core_processvar.fk_referenced_element</code>.
     */
    public Integer getFkReferencedElement() {
        return (Integer) get(3);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TCoreProcessvarRecord
     */
    public TCoreProcessvarRecord() {
        super(TCoreProcessvar.T_CORE_PROCESSVAR);
    }

    /**
     * Create a detached, initialised TCoreProcessvarRecord
     */
    public TCoreProcessvarRecord(Integer pk, Integer fkElement, Integer fkProcesstype, Integer fkReferencedElement) {
        super(TCoreProcessvar.T_CORE_PROCESSVAR);

        setPk(pk);
        setFkElement(fkElement);
        setFkProcesstype(fkProcesstype);
        setFkReferencedElement(fkReferencedElement);
        resetChangedOnNotNull();
    }
}
